!c Description:
!c   «
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-03-03    
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved


module interface_chk_converge
  interface

     subroutine chk_converge(pre, nxt, cnv, cnvsw)
       real(8), intent(in)  :: pre
       real(8), intent(in)  :: nxt
       real(8), intent(in)  :: cnv
       logical, intent(out) :: cnvsw
     end subroutine chk_converge
     
  end interface
end module interface_chk_converge




subroutine chk_converge(pre, nxt, cnv, cnvsw)
  implicit none
  real(8), intent(in)  :: pre
  real(8), intent(in)  :: nxt
  real(8), intent(in)  :: cnv
  logical, intent(out) :: cnvsw

  real(8)              :: chg

  cnvsw = .false. 

  chg = abs(nxt - pre) / abs(pre)
  if (chg < cnv) cnvsw = .true. 


end subroutine chk_converge
